Connections
List Connections
Query Parameters
Search by name or slug
Sortable fields for connection list.
"name""name" | "created_at" | "updated_at" | "last_verified_at" | "status" | "provider"Sort direction for pagination.
"asc""asc" | "desc"501 <= value <= 10000 <= valueCursor for pagination (if provided, uses cursor mode)
Header Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections"{
"connections": [
{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}
],
"hasNext": true,
"limit": 0,
"offset": 0,
"total": 0,
"users": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Connection
Header Parameters
Cookie Parameters
Request Body
application/json
1 <= length <= 255Supported external system providers.
"shopify" | "http_api" | "flexiroam" | "starlink" | "s3" | "google_drive" | "msft_sharepoint" | "klaviyo" | "amazon_sp" | "salesforce" | "netsuite" | "sqlserver" | "postgres" | "mlflow" | "sftp" | "gmail_inbox" | "dropbox" | "rydership" | "gorgias" | "redo" | "bullhorn"Who can discover and use a connection within its tenant.
"private""private" | "global"Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections" \ -H "Content-Type: application/json" \ -d '{ "credentials": { "property1": "string", "property2": "string" }, "name": "string", "provider": "shopify" }'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Connection By Slug
Path Parameters
Header Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/slug/string"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
curl -X DELETE "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Disable Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/disable"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Connection Edit Settings
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/edit-settings"{
"config": {},
"secretFields": {
"property1": {
"configured": true
},
"property2": {
"configured": true
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Files
Path Parameters
uuidQuery Parameters
Path or folder ID
"/"Next page token
Header Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/files"{
"items": [
{
"id": "string",
"kind": "file",
"mimeType": "string",
"modifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"path": "string",
"size": 0
}
],
"nextPageToken": "string",
"path": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Validate File Selection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/files/validate" \ -H "Content-Type: application/json" \ -d '{ "selectedItems": [ "string" ] }'{
"maxDepth": 0,
"totalBytes": 0,
"totalItems": 0,
"valid": true,
"violations": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Reactivate Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/reactivate"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Schema Columns
Path Parameters
uuidQuery Parameters
Header Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/columns?schema=string&table=string"{
"columns": [
{
"dataType": "string",
"name": "string",
"normalizedName": "string",
"nullable": true,
"primaryKey": false
}
],
"schema": "string",
"table": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Query Schema
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
1 <= length <= 10000Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/query" \ -H "Content-Type: application/json" \ -d '{ "sql": "string" }'{
"columns": [
"string"
],
"maxRows": 0,
"queryHash": "string",
"rowCount": 0,
"rows": [
{}
],
"tableRefs": [
{
"schema": "string",
"table": "string"
}
],
"truncated": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Sample Schema Table
Path Parameters
uuidHeader Parameters
Cookie Parameters
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/sample" \ -H "Content-Type: application/json" \ -d '{ "schema": "string", "table": "string" }'{
"columns": [
{
"dataType": "string",
"name": "string",
"normalizedName": "string",
"nullable": true,
"primaryKey": false
}
],
"maxRows": 0,
"rowCount": 0,
"rows": [
{}
],
"schema": "string",
"table": "string",
"truncated": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Schema Tables
Path Parameters
uuidQuery Parameters
Include system schemas
falseHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/tables"{
"tables": [
{
"normalizedName": "string",
"schema": "string",
"spec": "string",
"table": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Set Default Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/set-default"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Verify Connection
Path Parameters
uuidHeader Parameters
Cookie Parameters
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/verify"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationDetails": {},
"verificationError": "string",
"verificationErrorCode": "string",
"visibility": "private"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}